
package de.ivu.elect.business;

import java.util.Locale;
import java.util.TimeZone;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.jee.startup.StartupSystemDefaults;

@Specializes
public class ElectSystemDefaults extends StartupSystemDefaults {

  private static final long serialVersionUID = 1L;

  public ElectSystemDefaults() {
    super();
  }

  @Override
  public Locale getExpectedServerLocale() {
    return GERMANY_LOCALE; // bis jetzt ausschließlich deutsche Kunden
  }

  @Override
  public TimeZone getExpectedServerTimeZone() {
    return GERMANY_TIME_ZONE; // bis jetzt ausschließlich deutsche Kunden
  }
}
